Subject: possiblities of Null Certificate Template in CRMF

From: "Kwon, YongChul" <[email-masked]>
Date: Thu, 16 Nov 2000 15:58:25 +0900

in RFC-2510 and 2511, there are some inconsistent comments about
POPOSigningKey structure. and I read RFC-2510bis01 - Appendix D,
found that the inconsistent comments were fixed.

but, I am still uncomfortable about the possiblities of Null
CertificateTemplate
in some cases(Especially in Initialization Request).

because EE could not offer any information about the new certificate in many
cases(because they don't know their assigned DN, and the other fields
of CertificateTemplate highly depend on the policy of the Authority.)

and I don't want to see the same public key twice or more in a message which
can make high vulnerablity of inconsistency and implementer to suffer from
dealing them. :-(

so, I think more verbose comments are needed in those cases.

Just let Certificate Template as null sequence in those cases?
What was your attention Adams? :-)

please comment me.